curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=NGA" \
-F "services=nga_drivers_license" \
-F "vendor_data=user-1234" \
-F "driver_license_number=ABC12345AA12" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "date_of_birth=1990-01-01"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="NGA",
services=["nga_drivers_license"],
first_name="John",
last_name="Doe",
date_of_birth="1990-01-01",
driver_license_number="ABC12345AA12",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "NGA",
services: ["nga_drivers_license"],
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
driver_license_number: "ABC12345AA12",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "NGA",
Services: didit.Some([]string{"nga_drivers_license"}),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
DateOfBirth: didit.String("1990-01-01"),
DriverLicenseNumber: didit.String("ABC12345AA12"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("NGA")
.services(List.of("nga_drivers_license"))
.firstName("John")
.lastName("Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.driverLicenseNumber("ABC12345AA12")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'NGA',
'services' => ['nga_drivers_license'],
'first_name' => 'John',
'last_name' => 'Doe',
'date_of_birth' => '1990-01-01',
'driver_license_number' => 'ABC12345AA12',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "NGA",
services: ["nga_drivers_license"],
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
driver_license_number: "ABC12345AA12",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "NGA",
Services = new string[] { "nga_drivers_license" },
FirstName = "John",
LastName = "Doe",
DateOfBirth = "1990-01-01",
DriverLicenseNumber = "ABC12345AA12",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "NGA",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "nga_drivers_license",
"service_name": "Nigeria Driver's Licence (FRSC)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe"
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "NGA",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "nga_drivers_license",
"service_name": "Nigeria Driver's Licence (FRSC)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe"
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "NGA",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "nga_drivers_license",
"service_name": "Nigeria Driver's Licence (FRSC)",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "NGA",
"match_type": "no_match",
"validations": [
{
"outcome_code": "DOCUMENT_NOT_FOUND",
"service_id": "nga_drivers_license",
"service_name": "Nigeria Driver's Licence (FRSC)",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
🇳🇬 나이지리아
나이지리아 운전면허증(FRSC) 검증 API
Didit의 신원 인프라로 나이지리아 공식 데이터베이스를 조회하는 운전면허증(FRSC) 검증입니다. $0.20부터 건당 과금되며 계약이나 최소 사용량이 없습니다.
POST
/
v3
/
database-validation
/
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=NGA" \
-F "services=nga_drivers_license" \
-F "vendor_data=user-1234" \
-F "driver_license_number=ABC12345AA12" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "date_of_birth=1990-01-01"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="NGA",
services=["nga_drivers_license"],
first_name="John",
last_name="Doe",
date_of_birth="1990-01-01",
driver_license_number="ABC12345AA12",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "NGA",
services: ["nga_drivers_license"],
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
driver_license_number: "ABC12345AA12",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "NGA",
Services: didit.Some([]string{"nga_drivers_license"}),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
DateOfBirth: didit.String("1990-01-01"),
DriverLicenseNumber: didit.String("ABC12345AA12"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("NGA")
.services(List.of("nga_drivers_license"))
.firstName("John")
.lastName("Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.driverLicenseNumber("ABC12345AA12")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'NGA',
'services' => ['nga_drivers_license'],
'first_name' => 'John',
'last_name' => 'Doe',
'date_of_birth' => '1990-01-01',
'driver_license_number' => 'ABC12345AA12',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "NGA",
services: ["nga_drivers_license"],
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
driver_license_number: "ABC12345AA12",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "NGA",
Services = new string[] { "nga_drivers_license" },
FirstName = "John",
LastName = "Doe",
DateOfBirth = "1990-01-01",
DriverLicenseNumber = "ABC12345AA12",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "NGA",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "nga_drivers_license",
"service_name": "Nigeria Driver's Licence (FRSC)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe"
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "NGA",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "nga_drivers_license",
"service_name": "Nigeria Driver's Licence (FRSC)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe"
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "NGA",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "nga_drivers_license",
"service_name": "Nigeria Driver's Licence (FRSC)",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "NGA",
"match_type": "no_match",
"validations": [
{
"outcome_code": "DOCUMENT_NOT_FOUND",
"service_id": "nga_drivers_license",
"service_name": "Nigeria Driver's Licence (FRSC)",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
나이지리아 운전면허를 Federal Road Safety Corps 면허 등록부와 대조하여 확인합니다. 등록부는 면허 번호, 성명, 생년월일이 서로 일치할 때에만 응답합니다. Didit은
POST /v3/database-validation/ endpoint를 통해 이 서비스를 제공하므로, 제출된 데이터를 공식 출처와 대조하고 정규화된 일치 결과를 받을 수 있습니다.
적용 범위
- 적용 범위: ~ 100%
- 국가: 나이지리아
- 서비스 ID:
nga_drivers_license - 데이터 영역: Identity
- 카테고리: DriverLicence
입력값
| 필드 | 필수 여부 | 예시 |
|---|---|---|
driver_license_number | 예 | ABC12345AA12 |
first_name | 예 | John |
last_name | 예 | Doe |
date_of_birth | 예 | 1990-01-01 |
vendor_data | 아니요 | user-1234 |
- 필수 입력값:
driver_license_number,first_name,last_name,date_of_birth - 선택 입력값:
vendor_data - 동의: 필요 없음
- 워크플로 사용 가능 여부: 워크플로에서 사용 가능
- 적용 범위: ~ 100%
- 가격: 성공한 조회 건당 $0.20
요청 본문 파라미터
string
기본값:"NGA"
필수
이 데이터베이스 서비스의 ISO 3166-1 alpha-3 국가 코드입니다.예시:
NGAstring
기본값:"nga_drivers_license"
필수
이 서비스 ID를 포함하는 배열입니다. 서비스를 고정하면 요청이 이 정확한 데이터베이스로만 한정됩니다.예시:
nga_drivers_licensestring
기본값:"ABC12345AA12"
필수
운전면허 번호입니다.예시:
ABC12345AA12string
기본값:"John"
필수
검증할 이름입니다.예시:
Johnstring
기본값:"Doe"
필수
검증할 성입니다.예시:
Doestring
기본값:"1990-01-01"
필수
YYYY-MM-DD 형식의 생년월일입니다.예시: 1990-01-01string
기본값:"user-1234"
이 사용자를 나타내는 안정적인 사용자 참조값입니다. 내부 사용자 ID 등을 사용할 수 있습니다. Didit은 이 값을 사용해 독립 검사를 같은 최종 사용자에게 연결하고 중복 탐지 잡음을 줄입니다.예시:
user-1234입력 규칙 및 검증 참고 사항
driver_license_number는 대문자 영문자를 사용해야 합니다.driver_license_number는[A-Z0-9]{8,20}패턴과 일치해야 합니다.
호출 방법
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=NGA" \
-F "services=nga_drivers_license" \
-F "vendor_data=user-1234" \
-F "driver_license_number=ABC12345AA12" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "date_of_birth=1990-01-01"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="NGA",
services=["nga_drivers_license"],
first_name="John",
last_name="Doe",
date_of_birth="1990-01-01",
driver_license_number="ABC12345AA12",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "NGA",
services: ["nga_drivers_license"],
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
driver_license_number: "ABC12345AA12",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "NGA",
Services: didit.Some([]string{"nga_drivers_license"}),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
DateOfBirth: didit.String("1990-01-01"),
DriverLicenseNumber: didit.String("ABC12345AA12"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("NGA")
.services(List.of("nga_drivers_license"))
.firstName("John")
.lastName("Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.driverLicenseNumber("ABC12345AA12")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'NGA',
'services' => ['nga_drivers_license'],
'first_name' => 'John',
'last_name' => 'Doe',
'date_of_birth' => '1990-01-01',
'driver_license_number' => 'ABC12345AA12',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "NGA",
services: ["nga_drivers_license"],
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
driver_license_number: "ABC12345AA12",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "NGA",
Services = new string[] { "nga_drivers_license" },
FirstName = "John",
LastName = "Doe",
DateOfBirth = "1990-01-01",
DriverLicenseNumber = "ABC12345AA12",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
성공한 모든 호출은 HTTP 200을 반환합니다. outcome_code 필드는 실제로 어떤 결과가 나왔는지 알려 줍니다. 예를 들어 실제 생체 인증 불일치(BIOMETRIC_NO_MATCH)와 읽을 수 없었던 셀피(BIOMETRIC_IMAGE_UNUSABLE)를 구분합니다. 표시된 status는 기본 기능 상태이며, 구성한 부분 일치 및 불일치 작업에 따라 재정의될 수 있습니다.MATCH: 등록부가 신원을 확인했으며, 확인한 모든 필드가 일치했습니다.{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "NGA",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "nga_drivers_license",
"service_name": "Nigeria Driver's Licence (FRSC)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe"
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
PARTIAL_MATCH: 식별 번호를 찾았지만 하나 이상의 개인 정보 필드(보통 성명 또는 생년월일)가 완전히 일치하지 않았습니다.{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "NGA",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "nga_drivers_license",
"service_name": "Nigeria Driver's Licence (FRSC)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe"
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
NO_MATCH: 등록부에서 제출된 데이터와 일치하는 결과가 없습니다.{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "NGA",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "nga_drivers_license",
"service_name": "Nigeria Driver's Licence (FRSC)",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
DOCUMENT_NOT_FOUND: 제출된 문서 번호가 등록부의 어떤 레코드와도 일치하지 않습니다.{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "NGA",
"match_type": "no_match",
"validations": [
{
"outcome_code": "DOCUMENT_NOT_FOUND",
"service_id": "nga_drivers_license",
"service_name": "Nigeria Driver's Licence (FRSC)",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
반환 데이터
source_data에 표시되는 정확한 필드는 등록부가 반환하는 내용에 따라 달라집니다. nga_drivers_license에 대해 생성된 예시에는 현재 다음과 같은 정규화된 구조가 문서화되어 있습니다.
date_of_birthfirst_nameidentification_numberlast_name
요금 및 SLA
나이지리아 운전면허(FRSC) 조회는 Didit이 검증 출처로부터 확정적인 결과를 받은 경우에만 청구됩니다.- 호출당 가격: $0.20 USD
- 청구: 성공한 조회 건당 청구됩니다. 등록부에 연결할 수 없는 경우, 필수 필드가 누락된 경우, 또는 요청이 출처에 도달하기 전에 거부된 경우에는 요금이 부과되지 않습니다.
- 지연 시간: 일반적인 p95 < 2 s
- 가용성: Didit 측 분기별 99.9%입니다. 후속 데이터 소스의 가용성은 국가와 데이터셋에 따라 다릅니다.
계속 읽기
마지막 수정일 2026년 11월 7일